# Copyright 2020 Pants project contributors (see CONTRIBUTORS.md).
# Licensed under the Apache License, Version 2.0 (see LICENSE).

from pants.backend.jvm.target_types import COMMON_JVM_FIELDS
from pants.engine.target import Sources, Target


class JavaThriftySources(Sources):
    default = ("*.thrift",)


class JavaThriftyLibrary(Target):
    """An Android-optimized Java library generated by the Microsoft Thrifty thrift compiler."""

    alias = "java_thrifty_library"
    core_fields = (*COMMON_JVM_FIELDS, JavaThriftySources)
    v1_only = True
